Patches for Vim - Vi IMproved 8.0

The files in this directory contain source code changes to fix problems
in a released version of Vim.  Each file also contains an explanation of
the problem that is fixed, like the message that was sent to the vim-dev
maillist.

The best is to apply the patches in sequence.  This avoids problems when
a patch depends on a previous patch. 

Before patching, change to the top Vim directory, where the "src" and
"runtime" directories are located.
Depending on the version of "patch" that you use, you may have add an
argument to make it patch the right file:
        patch -p < 8.0.0001
        patch -p0 < 8.0.0001

After applying a patch, you need to compile Vim.  There are no patches
for binaries.

Checksums for the patch files can be found in the file MD5SUMS.


Individual patches for Vim 8.0:

  SIZE  NAME      FIXES
  2886  8.0.0001  intro screen still mentions version7
  1864  8.0.0002  the netrw plugin does not work
  2835  8.0.0003  getwinvar() returns wrong Value of boolean and number options
  2662  8.0.0004  error messagge of function() with wrong argument says NULL
  1871  8.0.0005  netbeans test fails with Python 3
  1936  8.0.0006  ":lb" is interpreted as ":lbottom" instead of ":lbuffer"
  7370  8.0.0007  Vim 7.4 is still mentioned in a few places
  2527  8.0.0008  popup complete test is disabled
  1673  8.0.0009  unnecessary workaround for AppVeyor
  3230  8.0.0010  crash when editing file that starts with crypt header
  1577  8.0.0011  on OSX Test_pipe_through_sort_all() sometimes fails
  7754  8.0.0012  typos in comments
  2257  8.0.0013  (after 8.0.0011) missing comma in list
  9516  8.0.0014  crypt tests are old style
 12101  8.0.0015  can't tell which part of a channel has "buffered" status
  1579  8.0.0016  (after 8.0.0015) build fails
  4451  8.0.0017  cannot get the number of current quickfix or location list
  8819  8.0.0018  when using ":sleep" channel input is not handled
 14106  8.0.0019  test_command_count is old style
 86459  8.0.0020  the regexp engines are not reentrant
  1734  8.0.0021  GUI: cursor may be drawn on second half of double byte char
  5008  8.0.0022  if channel is missing final NL remaining chars are dropped
 10912  8.0.0023  "gd" and "gD" may find a match in a comment or string
  2437  8.0.0024  when netbeans channel closes, "DETACH" is put in output part
 10551  8.0.0025  inconsistent use of spaces vs tabs in gd test
  5078  8.0.0026  error format with %W, %C and %Z does not work
 47686  8.0.0027  channel is closed when there may still be something to read
  1800  8.0.0028  superfluous semicolons
119305  8.0.0029  exceptions for old systems make MS-Windows code complicated
  1680  8.0.0030  mouse mode is not automatically detected for tmux
  3962  8.0.0031  after ":bwipeout" 'fileformat' is not set to the default
  3521  8.0.0032  tests may change the input file when something goes wrong
  2996  8.0.0033  cannot use overlapping positions with matchaddpos()
  4951  8.0.0034  no completion for ":messages"
 16444  8.0.0035  order of matches for 'omnifunc' is messed up
 13336  8.0.0036  detecting that a job has finished may take a while
  2597  8.0.0037  get E924 when switching tabs
  1807  8.0.0038  OPEN_CHR_FILES not defined for FreeBSD/Debian mix
  3492  8.0.0039  when Vim 8 reads an old viminfo next time marks are not read
  4622  8.0.0040  (after 8.0.0033) matchaddpos() whole line highlighting broken
  3574  8.0.0041  get undo item with Insert mode completion without inserting
  2457  8.0.0042  (after 8.0.0041) Insert mode completion is not saved for undo
  4037  8.0.0043  (after 8.0.0041) Insert mode completion is not saved for undo
  7877  8.0.0044  ml_get error In diff mode
  8476  8.0.0045  calling job_stop() right after job_start() does not work
  2559  8.0.0046  using NUL instead of NULL
  1719  8.0.0047  crash when using the preview window from an unnamed buffer
  5148  8.0.0048  on Windows job_stop() stops cmd.exe, not processes it runs
  2839  8.0.0049  concealing and match highlighting interfere
 12736  8.0.0050  an exiting job is detected with a large latency
  4939  8.0.0051  (after 8.0.0048) job_stop() change breaks tests
  1701  8.0.0052  (after 8.0.0049) conceal test passes even without the bug fix
  2684  8.0.0053  (after 8.0.0047) no test for what 8.0.0047 fixes
  3649  8.0.0054  (after 8.0.0051) Windows: job_stop() does not stop processes
  3450  8.0.0055  minor comment and style deficiencies
  4920  8.0.0056  when setting 'filetype' there is no check for a valid name
  2356  8.0.0057  (after 8.0.0056) tests fail without the 'keymap' features
  4871  8.0.0058  positioning of the popup menu is not good
 20700  8.0.0059  Vim does not build on VMS systems
  3176  8.0.0060  when 'keywordprg' is an Ex command it is shell-escaped
  1437  8.0.0061  (after 8.0.0058) compiler warning for unused variable
  2433  8.0.0062  no digraph for HORIZONTAL ELLIPSIS
  1681  8.0.0063  compiler warning for comparing with unsigned
  1771  8.0.0064  (after 8.0.0060) normal test fails on MS-Windows
  1727  8.0.0065  (after 8.0.0056) compiler warning for unused function
  4158  8.0.0066  calling an operator function without 'linebreak' set
  2184  8.0.0067  VMS has a problem with infinity
  5802  8.0.0068  checking did_throw after executing autocommands is wrong
  8650  8.0.0069  compiler warning for self-comparison
  1843  8.0.0070  tests referred in Makefile that no longer exist
  3054  8.0.0071  exit value from a shell command is wrong
  1600  8.0.0072  MS-Windows: Crash with long font name
  7228  8.0.0073  (after 8.0.0069) more comparisons between firstwin & lastwin
 36284  8.0.0074  cannot make Vim fail on an internal error
  5460  8.0.0075  using number for exception type lacks type checking
  1906  8.0.0076  channel log has double parens ()()
  1683  8.0.0077  GUI is not tested on Travis CI
  2550  8.0.0078  accessing freed memory in quickfix
 30894  8.0.0079  accessing freed memory in quickfix
  1740  8.0.0080  Travis CI fails for OS X
 16764  8.0.0081  inconsistent function names
309315  8.0.0082  extension for configure should be ".ac"
  2446  8.0.0083  using freed memory with win_getid()
  3153  8.0.0084  using freed memory when adding to a quickfix list
  3977  8.0.0085  using freed memory with recursive function call
  7394  8.0.0086  cannot add a comment after ":hide"
 14140  8.0.0087  channel callback may get job info after it was deleted
  2355  8.0.0088  when a test fails in Setup/Teardown problem is not reported
 13532  8.0.0089  various problems with GTK 3.22.2
 17957  8.0.0090  cursor moved after last character when using 'breakindent'
  6000  8.0.0091  test_help_complete sometimes fails in MS-Windows console
  3075  8.0.0092  C indent does not support nested namespaces that C++ 17 has
  1842  8.0.0093  not using multiprocess build feature
  2397  8.0.0094  if vimrun.exe not found error message is not properly encoded
  3684  8.0.0095  problems with GTK 3.22.2 fixed in 3.22.4
  7771  8.0.0096  when the input or output is not a tty Vim appears to hang
 11867  8.0.0097  if channel callback takes a lot of time Vim is unresponsive
  1728  8.0.0098  (after 8.0.0097) can't build on MS-Windows
  1734  8.0.0099  popup menu appears above the cursor too often
  1852  8.0.0100  file name options may contain non-filename characters
  4074  8.0.0101  some options are not strictly checked
  4876  8.0.0102  (after 8.0.0101) cannot set 'dictionary' to a path
  4425  8.0.0103  may not process channel readahead
  3602  8.0.0104  value of 'thesaurus' option not checked properly
 14961  8.0.0105  can't tell difference between reading empty line or nothing
  2174  8.0.0106  (after 8.0.0100) cannot use a semicolon in 'backupext'
 16825  8.0.0107  when reading channel output in timer messages may be missing
  2747  8.0.0108  (after 8.0.0107) the channel "drop" option is not tested
  6083  8.0.0109  still checking if memcmp() exists, should be everywhere now
  2281  8.0.0110  drop command doesn't use existing window
  3528  8.0.0111  the :history command is not tested
 13356  8.0.0112  tests 92 and 93 are old style
  5376  8.0.0113  MS-Windows: dialog for saving changes on the wrong monitor
  3510  8.0.0114  coding style not optimal
  1875  8.0.0115  when building with Cygwin libwinpthread isn't found
  5896  8.0.0116  using CTRl-] in English help language from 'helplang' is used
  3071  8.0.0117  parallel make fails
  2075  8.0.0118  "make proto" adds extra function prototype
  2045  8.0.0119  no test for using CTRL-R on the command line
  1506  8.0.0120  channel test is still flaky on OS X
  3662  8.0.0121  setting 'cursorline' changes the curswant column
  1678  8.0.0122  channel test is still flaky on OS X
  5083  8.0.0123  modern Sun compilers define "__sun" instead of "sun"
  2401  8.0.0124  internal error for assert_inrange(1, 1)
  1943  8.0.0125  not enough testing for entering Ex commands
  3820  8.0.0126  display problem with 'foldcolumn' and a wide character
  2553  8.0.0127  cancelling completion still formats text
  1334  8.0.0128  (after 8.0.0126) display test fails on MS-Windows
  2553  8.0.0129  parallel make still doesn't work
  2693  8.0.0130  configure uses "ushort" while the Vim code doesn't
  4053  8.0.0131  not enough test coverage for syntax commands
  1413  8.0.0132  (after 8.0.0131) test fails because of using :finish
  2151  8.0.0133  "2;'(" causes ml_get errors in an empty buffer
  1718  8.0.0134  null pointer access reported by UBsan
  8593  8.0.0135  relative address does not work with closed fold
  2856  8.0.0136  when changing indent the wrong fold is opened
  2715  8.0.0137  when 'maxfuncdepth' set above 200 nesting is limited to 200
  1872  8.0.0138  (after 8.0.0137) small build fails
  2233  8.0.0139  (after 8.0.0135) warning for unused argument
  2612  8.0.0140  pasting inserted text in Visual mode does not work properly
  1695  8.0.0141  (after 8.0.0137) nested function test fails on AppVeyor
  1503  8.0.0142  normal colors are wrong with 'termguicolors'
  2206  8.0.0143  line number of current buffer in getbufinfo() is wrong
  1345  8.0.0144  when using MSVC the GvimExt directory is cleaned twice
  3293  8.0.0145  running tests on MS-Windows is noisy
  2023  8.0.0146  termguicolors uses wrong colors on MS-Windows with ConEmu
  3113  8.0.0147  searchpair() fails when 'magic' is off
  7263  8.0.0148  wrong indent in C preprocessor with line continuation
  3343  8.0.0149  :earlier does not work after reading the undo file
  3206  8.0.0150  completion for :filter does not skip the pattern
  6000  8.0.0151  passing buffer content to system() is clumsy
  1390  8.0.0152  stray channellog created when running tests
  3196  8.0.0153  (after 8.0.0151) system() test fails on MS-Windows
  2439  8.0.0154  (after 8.0.0151) system() test fails on OS/X
  1875  8.0.0155  ubsan complains about NULL pointer
 10791  8.0.0156  not enough test coverage for float functions
  4214  8.0.0157  no completion for :syntax spell and :syntax sync
 19641  8.0.0158  (after 8.0.0156) float function test fails on MS-Windows
  2519  8.0.0159  crash on startup when updating tabline
  3936  8.0.0160  EMSG() is sometimes used where it should be IEMSG()
  1956  8.0.0161  (after 8.0.0159) can't build with small features
  1635  8.0.0162  build error on Fedora 23
  1978  8.0.0163  cannot build with Ruby 2.4
  5660  8.0.0164  outdated and misplaced comments
  2573  8.0.0165  ubsan warns for integer overflow
  6483  8.0.0166  JSON with a duplicate key gives an internal error
  5691  8.0.0167  str2nr()/str2float() fail with negative values
  9266  8.0.0168  not all float functionality is tested
 19080  8.0.0169  json_decode() may run out of stack space
  1576  8.0.0170  crash in channel test
  5678  8.0.0171  JS style JSON does not support single quotes
  3145  8.0.0172  command line window does not work
  4273  8.0.0173  build fails with EBCDIC defined
  2727  8.0.0174  executing "locale -a" on MS-Windows needlessly
 12312  8.0.0175  setting language on MS-Windows does not always work
  4907  8.0.0176  cannot use :change inside a function definition
  7235  8.0.0177  BufEnter autocommand not fired for a directory
  1862  8.0.0178  command count test fails on MS-Windows
  8495  8.0.0179  cannot have a local value for 'formatprg'
  2746  8.0.0180  error E937 is used twice
  1683  8.0.0181  with cursorbind set cursor column highlighting is off
  1746  8.0.0182  cursor ilne not update when 'cursorbind' is set
  2165  8.0.0183  ubsan warns for unaligned address
  3557  8.0.0184  when an error is caught Vim still exits with non-zero result
  1679  8.0.0185  (after 8.0.0184) system() test fails on MS-Windows
  3072  8.0.0186  confusing error message from assert_notequal()
  1503  8.0.0187  cant build with new Ruby version
  2382  8.0.0188  (after 8.0.0182) redrawing for 'cursorbind' is inefficient
  7079  8.0.0189  profile commands are not tested
 14608  8.0.0190  finding duplicate tags uses a slow linear search
  2848  8.0.0191  (after 8.0.0187) can't build with Ruby on some systems
  2365  8.0.0192  (after 8.0.0190) cannot build with tiny features
  1622  8.0.0193  (after 8.0.0188) accidentally removed #ifdef
  2204  8.0.0194  (after 8.0.0189) profile test fails if times are equal
  4685  8.0.0195  (after 8.0.0190) fail to jump to static tag in current file
  8101  8.0.0196  profile test is slow and does not work on MS-Windows
  4234  8.0.0197  system() test skips some parts for MS-Windows
 15518  8.0.0198  some syntax arguments take effect even after "if 0"
  2860  8.0.0199  compiler warnings for libcall
  3376  8.0.0200  some syntax arguments are not tested
  6218  8.0.0201  completion of highlight groups includes cleared names
  1874  8.0.0202  no test for invalid syntax group name
  5103  8.0.0203  order of complication flags is sometimes wrong
  1747  8.0.0204  compiler warns for uninitialized variable
  2764  8.0.0205  wrong behavior after :undojoin
  5444  8.0.0206  test coverage for :retab insufficient
  1429  8.0.0207  leaking file descriptor when system() fails
  2504  8.0.0208  internally used commands end up in history
  1723  8.0.0209  cursor binding does not work with :substitute
 18326  8.0.0210  no support for bracketed paste
  2461  8.0.0211  (after 8.0.0210) cannot build without the multi-byte feature
  3318  8.0.0212  buffer for key name may be too small
  2278  8.0.0213  Netbeans specialKeys command does not check argument length
  1787  8.0.0214  leaking memory when syntax cluster id is unknown
  2025  8.0.0215  NULL pointer use if cscope line looks like emacs tag
  3357  8.0.0216  decoding js style json may fail
  1839  8.0.0217  (after 8.0.0215) build fails without cscope feature
  2321  8.0.0218  no completion for :cexpr and similar commands
  8176  8.0.0219  ubsan reports errors for overflow
  3450  8.0.0220  completion of highlight names misses a few values
  1633  8.0.0221  unnecessary condition on PROTO
  2783  8.0.0222  blockwise put on multi-byte character misplaced
  2522  8.0.0223  Coverity warns for an uninitialized variable
  3399  8.0.0224  change to 'fileformats' from autocmd does not take effect
  2743  8.0.0225  put in Visual block mode terminates early
  2101  8.0.0226  test for patch 8.0.0224 missing CR characters
  2411  8.0.0227  crash with ff=dos when first line in file has no CR
  3446  8.0.0228  pasting in xterm on the command line has PasteStart
  1604  8.0.0229  local 'formatprg' option value leaks
  1653  8.0.0230  bracketed paste does not support line breaks
  4754  8.0.0231  bracketed paste mode is not tested
  1807  8.0.0232  paste does not work when 'esckeys' is off
  1580  8.0.0233  (after 8.0.0231) paste test fails in the GUI
  3304  8.0.0234  (after 8.0.0225) crash when using put in Visual mode
  2148  8.0.0235  memory leak in diff mode
  2442  8.0.0236  (after 8.0.0234) gcc complains about uninitialized variable
  2394  8.0.0237  when 'wildoptions' is "tagfile" completion may not work
  2774  8.0.0238  bracketed paste does not disable autoindent
  7028  8.0.0239  no CI with an address sanitizer
  2354  8.0.0240  (after 8.0.0239) failure with one build on CI
  4357  8.0.0241  fallback implementation of mch_memmove is unused
  5272  8.0.0242  no tests for user command completion
 13660  8.0.0243  tolower() does not work if the byte count changes
  1938  8.0.0244  making t_BE empty only has an effect before startup
  2503  8.0.0245  zh_CN.cp936.po has a conversion error
  1776  8.0.0246  compiler warnings for int to pointer conversion
  4004  8.0.0247  need to type Ctrl-N twice to select a completion
  1957  8.0.0248  vim_strcat() cannot handle overlapping arguments
  1673  8.0.0249  CI failure when a submit is close to previous one
  7214  8.0.0250  virtcol() does not work well for multi-byte characters
 34085  8.0.0251  not easy to select Python 2 or 3
 11565  8.0.0252  not properly recognizing word characters between 128 and 255
  3039  8.0.0253  error when loading session if winminheight is 2
  3951  8.0.0254  error message of assert functions is sometimes incomplete
  6534  8.0.0255  setpos() does not use the buffer argument for all marks
  2298  8.0.0256  (after 8.0.0255) missing changes to one file breaks test
  1568  8.0.0257  (after 8.0.0252) test file missing in distribution
  3289  8.0.0258  (after 8.0.0252) mksession test leaves file behind
 29178  8.0.0259  tab commands do not handle count correctly
  5727  8.0.0260  build fails with tiny features
  7063  8.0.0261  not enough test coverage for eval functions
 27088  8.0.0262  Farsi support is barely tested
  6944  8.0.0263  Farsi support is not tested enough
  1941  8.0.0264  memory error reported by ubsan
  4752  8.0.0265  may get ml_get error when :pydo deletes lines
  1362  8.0.0266  compiler warning for using uninitialized variable
  1528  8.0.0267  channel test sometimes fails on Mac
  4049  8.0.0268  may get ml_get error when :luado deletes lines
  2936  8.0.0269  may get ml_get error when :perldo deletes lines
  2709  8.0.0270  may get ml_get error when :rubydo deletes lines
  3779  8.0.0271  may get ml_get error when :tcldo deletes lines
  2505  8.0.0272  crash on exit is not detected when running tests
  2819  8.0.0273  dead code detected by Coverity
  2725  8.0.0274  possible recursive screen updating causes trouble
  1864  8.0.0275  the screen may be updated at the wrong time
  1541  8.0.0276  unnecessary #ifdefs
  2395  8.0.0277  the GUI test may trigger fontconfig and take a long time
  2112  8.0.0278  (after 8.0.0277) GUI test fails on MS-Windows
  1905  8.0.0279  MSVC 2015 uses a different dll name
  6559  8.0.0280  problem setting multi-byte environment var on MS-Windows
 23643  8.0.0281  some files are still using ARGSUSED instead of UNUSED
  2099  8.0.0282  need to use CTRL-O twice when in Visual-Insert mode 
  7048  8.0.0283  mode() does not indicate Insert mode completion
  1897  8.0.0284  collapse buffers test failed once
  2161  8.0.0285  (after 8.0.0277) tests fail with tiny build on Unix
  5334  8.0.0286  not always redrawing after screen resize
  1487  8.0.0287  debug mode: cannot access function arguments
  1572  8.0.0288  (after 8.0.0284) errors reported while running tests
  3731  8.0.0289  no test for "ga" and :ascii
  2257  8.0.0290  cursor positioning wrong if wide character wraps
  2416  8.0.0291  (after 8.0.0282) Visual block insert does not do all lines
  4244  8.0.0292  the stat test is a bit slow
  3179  8.0.0293  some tests have a one or three second wait
  2196  8.0.0294  argument list is not stored correctly in a session file
  1605  8.0.0295  (after 8.0.0293) test_viml hangs
  6521  8.0.0296  bracketed paste can only append, not insert
  7260  8.0.0297  double free on exit when using a closure
  2556  8.0.0298  Ex command range with repeated search does not work
  4367  8.0.0299  a window resize is sometimes not taking effect
  3539  8.0.0300  cannot stop diffing hidden buffers
  5370  8.0.0301  not enough testing for setting options
  3498  8.0.0302  cannot set terminal key codes with :let
  5979  8.0.0303  bracketed paste does not work in Visual mode
  1841  8.0.0304  assign test fails in the GUI
  2965  8.0.0305  invalid memory access when option has duplicate flag
  4137  8.0.0306  mode() not sufficiently tested
  3329  8.0.0307  asan detects a memory error when EXITFREE is defined
  4890  8.0.0308 'runtimepath' not updated correctly when using symbolic link
  2335  8.0.0309  cannot use an empty key in json
  2490  8.0.0310  not enough testing for GUI functionality
 44867  8.0.0311  linebreak tests are old style
  9065  8.0.0312  failure when a channel receives a split json message
  3607  8.0.0313  (after 8.0.0310) not enough testing for GUI functionality
  2511  8.0.0314  getcmd*() functions are not tested
  2704  8.0.0315  :help :[range] does not work
  2705  8.0.0316  :help z? does not work
  3460  8.0.0317  no test for setting 'guifont'
  1861  8.0.0318  small mistake in 7x13 font name
  2972  8.0.0319  insert mode completion does not respect 'backspace'
  1913  8.0.0320  warning for unused variable with small build
  4716  8.0.0321  errors when trying to use scripts in tiny version
  1503  8.0.0322  possible overflow with corrupted spell file
  1805  8.0.0323  one second pause when running cmdline test
  2630  8.0.0324  illegal memory access with a wrong yank range
  1375  8.0.0325  packadd test does not clean up symlink
  2061  8.0.0326  packadd test uses wrong directory name
  1801  8.0.0327  error message in cmdline window is not translated
  2066  8.0.0328  the "zero count" error doesn't have a number
  6245  8.0.0329  xfontset and guifontwide are not tested
  2256  8.0.0330  illegal memory access after "vapo"
  3257  8.0.0331  restoring help snapshot accesses freed memory
 16678  8.0.0332  GUI test fails on some systems
  2375  8.0.0333  illegal memory access when 'complete' ends in a backslash
 31136  8.0.0334  can't access b:changedtick from a dict reference
  1835  8.0.0335  (after 8.0.0335) functions test fails
  4355  8.0.0336  flags of :substitute not sufficiently tested
  3833  8.0.0337  invalid memory access in :recover command
  1601  8.0.0338  (after 8.0.0337) :recover test fails on MS-Windows
  2024  8.0.0339  illegal memory access with vi'
  1736  8.0.0340  not checking return valud of dict_add()
  2228  8.0.0341  undo does not work properly when using completion
  3653  8.0.0342  double free with EXITFREE and setting 'ttytype'
  4108  8.0.0343  b:changedtick can be unlocked
  1789  8.0.0344  unlet command leaks memory
  4576  8.0.0345  islocked('d.changedtick') does not work
  2270  8.0.0346  Vim relies on limits.h to be included indirectly
  2758  8.0.0347  when using completion comment leader wont work
  2009  8.0.0348  using shadow dir on Mac lack +clipboard
  3264  8.0.0349  redrawing errors with GTK 3
  5799  8.0.0350  not enough test coverage for Perl
  1416  8.0.0351  no test for concatenating an empty string
  5530  8.0.0352  not easy to see when a typval needs to be cleared
  1602  8.0.0353  if [RO] is translated it may be truncated
  1633  8.0.0354  test to check that setting termcap key fails sometimes
  3938  8.0.0355  using uninitialized memory when 'isfname' is empty
  1408  8.0.0356  (after 8.0.0342) leaking memory when setting 'ttytype'
  3306  8.0.0357  crash when setting 'guicursor' to weird value
  1966  8.0.0358  invalid memory access in C-indent code
 13775  8.0.0359  'number' and 'relativenumber' are not properly tested
 84421  8.0.0360  sometimes VimL is used instead of "Vim script"
 20246  8.0.0361  GUI initialisation is not sufficiently tested
  1807  8.0.0362  (after 8.0.0361) tests fail on MS-Windows
  1487  8.0.0363  Travis is too slow to keep up with patches
  3904  8.0.0364  ]s does not move cursor with two spell errors in one line
 14739  8.0.0365  might free a dict item that wasn't allocated
  1386  8.0.0366  (after 8.0.0365) build fails with tiny features
  4008  8.0.0367  types in include files may be inconsistent
 12500  8.0.0368  not all options are tested with a range of values
  4768  8.0.0369  a few options are not defined, depending on features
  4004  8.0.0370  invalid memory access when setting wildchar empty
  1542  8.0.0371  leaking memory when setting v:completed_item 
 17997  8.0.0372  more options are not always defined
  1623  8.0.0373  build fails without +folding
  2744  8.0.0374  invalid memory access when using :sc in Ex mode
  2952  8.0.0375  the "+ register is not tested
  2125  8.0.0376  size computations in spell file reading are off
  2280  8.0.0377  possible overflow when reading corrupted undo file
  2168  8.0.0378  another possible overflow when reading corrupted undo file
  2648  8.0.0379  CTRL-Z and mouse click use CTRL-O unnecessary
  3958  8.0.0380  with 'linebreak' double wide char wraps badly
  2839  8.0.0381  diff mode is not sufficiently tested
  2167  8.0.0382  (after 8.0.0380) warning in tiny build for unused variable
  2027  8.0.0383  (after 8.0.0382) misplaced #ifdef
  1434  8.0.0384  timer test failed for no apparent reason
  4541  8.0.0385  no tests for arabic
  2420  8.0.0386  tiny build has a problem with generating the options test
  3077  8.0.0387  compiler warnings
  5447  8.0.0388  filtering lines changes folds
  6155  8.0.0389  test for arabic does not check what is displayed
  4647  8.0.0390  when the window scrolls the popup menu may be garbled
 27150  8.0.0391  arabic support is verbose and not well tested
  6164  8.0.0392  GUI test fails with Athena and Motif
  7138  8.0.0393  (after 8.0.0190) order of duplicate tags is not preserved
  5883  8.0.0394  tabs are not aligned when scrolling horizontally
  4043  8.0.0395  testing the + register fails with Motif
  7033  8.0.0396  'balloonexpr' only works synchronously
  2051  8.0.0397  (after 8.0.0392) can't build with +viminfo but without +eval
  1959  8.0.0398  illegal memory access with "t"
  1975  8.0.0399  crash when using balloon_show() when not supported
  1385  8.0.0400  some tests have a one second delay
  1496  8.0.0401  test fails with missing balloon feature
  3185  8.0.0402  :map completion does not have <special>
  3206  8.0.0403  GUI tests may fail
  4812  8.0.0404  not enough testing for quickfix
  4738  8.0.0405  v:progpath may become invalid after :cd
 13541  8.0.0406  arabic shaping code is verbose
  2047  8.0.0407  filtering folds with marker method not tested
  7144  8.0.0408  updating folds does not always work properly
  1405  8.0.0409  set_progpath is defined but not always used
  2563  8.0.0410  newer gettext/iconv library has extra dll file
  3043  8.0.0411  menu translations don't match when case is changed
  1672  8.0.0412  (after 8.0.0411) menu test fails on MS-Windows
  1693  8.0.0413  (after 8.0.0412) menu test fails on MS-Windows using gvim
  5579  8.0.0414  balloon eval is not tested
  2027  8.0.0415  (after 8.0.0414) balloon test fails on MS-Windows
  8092  8.0.0416  setting v:progpath is not quite right
  1355  8.0.0417  test for the clipboard fails sometimes
  5462  8.0.0418  ASAN logs are disabled
  3371  8.0.0419  test for v:progpath fails on MS-Windows
 26383  8.0.0420  text garbled when the system encoding differs from 'encoding'
  5449  8.0.0421  diff mode wrong when adding line at end of buffer
  4309  8.0.0422  Python test fails with Python 3.6
  3427  8.0.0423  changing 'cinoptions' does not always work
  1754  8.0.0424  compiler warnings on MS-Windows
  3998  8.0.0425  build errors when building without folding
 10681  8.0.0426  insufficient testing for statusline
  2327  8.0.0427  'makeencoding' missing from the options window
 23276  8.0.0428  git and hg see new files after running tests
  4323  8.0.0429  (after 8.0.0428) options test does not always test everything
  7387  8.0.0430  (after 8.0.0429) options test fails or hangs on MS-Windows
  7944  8.0.0431  'cinoptions' cannot set indent for extern block
  1795  8.0.0432  "make shadow" creates an invalid link
 11157  8.0.0433  beeps when running tests
  7314  8.0.0434  clang version not correctly detected
  9440  8.0.0435  some functions are not tested
  1579  8.0.0436  running the options test sometimes resizes the terminal
  1850  8.0.0437  packadd test does not fully work
  1928  8.0.0438  the fnamemodify test may cause later tests to fail
  2369  8.0.0439  ":%argdel" gives an error for an empty arglist
 58900  8.0.0440  not enough test coverage in Insert mode
  1779  8.0.0441  dead code in #ifdef
  2786  8.0.0442  patch shell command not well escaped
  1497  8.0.0443  terminal width is set to 80 in test3
  3899  8.0.0444  (after 8.0.0442) diffpatch fails when file name has a quote
  5000  8.0.0445  getpgid is not supported on all systems
  3360  8.0.0446  the ";" command does not work after some characters
 17171  8.0.0447  getting font name does not work on X11
 68909  8.0.0448  some macros are in lower case
  3323  8.0.0449  (after 8.0.0448) part of fold patch accidentally included
  2909  8.0.0450  v:progpath is not reliably set
 75599  8.0.0451  some macros are in lower case
 89169  8.0.0452  some macros are in lower case
  4669  8.0.0453  adding fold marker creates new comment
  2689  8.0.0454  compiler warnings for "always true" comparison
  2094  8.0.0455  the mode test may hang
  1676  8.0.0456  typo in MinGW test makefile
 18249  8.0.0457  using :move messes up manual folds
  2240  8.0.0458  potential crash if adding list or dict to dict fails
  2116  8.0.0459  (after 8.0.0457) old folding fix for :move no longer needed
  2113  8.0.0460  can't build on HPUX
  3904  8.0.0461  (after 8.0.0457) test 45 hangs on MS-Windows
  1629  8.0.0462  failure of an MS-Windows test may go unnoticed
  2351  8.0.0463  side effects from resetting 'compatible' in defaults.vim
  5318  8.0.0464  can't find executable name on Solaris and FreeBSD
  5506  8.0.0465  off-by-one error in using :move with folding
 89133  8.0.0466  still macros that should be all-caps
  2045  8.0.0467  using g< after :for does not show the right output
  7321  8.0.0468  after aborting an Ex command g< does not work
  2113  8.0.0469  compiler warnings on MS-Windows
  3390  8.0.0470  not enough testing for help commands
  1511  8.0.0471  exit callback test sometimes fails
  1864  8.0.0472  when a test fails another test may also fail
  6263  8.0.0473  no test covering arg_all()
  6516  8.0.0474  the client-server feature is not tested
  8793  8.0.0475  not enough testing for the client-server feature
  2772  8.0.0476  (after 8.0.0475) missing change to main.c
 16241  8.0.0477  the client-server test may hang when failing
 19473  8.0.0478  tests use assert_true(0) and assert_false(1) to report errors
  2760  8.0.0479  remote_peek() is not tested
  2853  8.0.0480  the remote_peek() test fails on MS-Windows
  6323  8.0.0481  unnecessary if statement
  2924  8.0.0482  the setbufvar() function may mess up the window layout
  2043  8.0.0483  illegal memory access when using :all
 17065  8.0.0484  :lhelpgrep does not fail after a successful one
 14261  8.0.0485  not all windows commands are tested
  6314  8.0.0486  crash and endless loop when closing windows in autocmd
  1762  8.0.0487  the autocmd test hangs on MS-Windows
  1920  8.0.0488  running tests leaves an "xxx" file behind
  6401  8.0.0489  clipboard and "* register is not tested
  3508  8.0.0490  vertical split makes 'winfixwidth' window smaller
  1502  8.0.0491  quotestar test fails when features are missing
 24562  8.0.0492  a failing client-server request can make Vim hang
  5933  8.0.0493  crash with cd command with very long argument
  3265  8.0.0494  build failure with older compiler on MS-Windows
  4891  8.0.0495  quotestar test uses timer instead of timeout
  3628  8.0.0496  insufficient testing for folding
  7652  8.0.0497  arabic support is not fully tested
  5408  8.0.0498  two autocmd tests are skipped on MS-Windows
  8222  8.0.0499  taglist() does not prioritize tags for a buffer
  2295  8.0.0500  quotestar test is still a bit flaky
  4535  8.0.0501  on MS-Windows ":!start" does not work as expected
  1456  8.0.0502  Coverity complains about possible NULL pointer
  1663  8.0.0503  endless loop in updating folds with 32 bit ints
 11457  8.0.0504  looking up an Ex command is a bit slow
  1753  8.0.0505  failed window split for :stag not handled
  1852  8.0.0506  can't build with ANSI C
  2262  8.0.0507  client-server tests fail when $DISPLAY is not set
  1530  8.0.0508  Coveralls no longer shows per-file coverage
  2090  8.0.0509  no link to codecov.io results
  2537  8.0.0510  (after 8.0.0509) typo in link to codecov.io results
  2757  8.0.0511  message for skipping client-server tests is unclear
  1601  8.0.0512  check for available characters takes too long
  6138  8.0.0513  getting name of cleared highlight group is wrong
  3416  8.0.0514  script for creating cmdidxs can be improved
  3092  8.0.0515  ml_get errors in silent Ex mode
  3764  8.0.0516  a large count on a normal command causes trouble
 12336  8.0.0517  there is no way to remove quickfix lists
  4256  8.0.0518  bad fold text when a multi-byte char has a zero byte
 12471  8.0.0519  character classes are not well tested
  9607  8.0.0520  using a function pointer while the function is known
  8182  8.0.0521  GtkForm handling is outdated
  5291  8.0.0522  Win32: when 'clipboard' is "unnamed" yyp does not work
  2512  8.0.0523  dv} deletes part of a multi-byte character.
  2130  8.0.0524  (after 8.0.0518) folds messed up
  1596  8.0.0525  completion for user command argument not tested
  2115  8.0.0526  Coverity complains about possible negative value
  4049  8.0.0527  leftover file from RISC OS
  1789  8.0.0528  highlight wrong text when 'wim' includes "longest"
  3722  8.0.0529  line in test commented out
  3656  8.0.0530  buffer overflow when 'columns' is very big
  1488  8.0.0531  test with long directory name fails on non-unix systems
  1512  8.0.0532  test with long directory name fails on Mac
  2399  8.0.0533  abbreviation doesn't work after backspacing newline
  2093  8.0.0534  defaults.vim does not work well with tiny features
  5383  8.0.0535  memory leak when exiting from within a user function
  5267  8.0.0536  quickfix window not updated when freeing quickfix stack
  6654  8.0.0537  illegal memory access with :z and large count
  1659  8.0.0538  no test for falling back to default term value
  3254  8.0.0539  (after 8.0.0538) startup test fails on Mac
  2353  8.0.0540  (after 8.0.0540) building unit tests fails
  1579  8.0.0541  compiler warning on MS-Windows
  3256  8.0.0542  getpos() can return a negative line number
 12057  8.0.0543  test_edit causes older xfce4-terminal to close
  2915  8.0.0544  cppcheck warnings
  2906  8.0.0545  edit test may fail on some systems
  3848  8.0.0546  swap file exists briefly when opening the command window
  2138  8.0.0547  extra line break in verbosefile
  8508  8.0.0548  saving the redo buffer only works one time
  3809  8.0.0549  no test for the 8g8 command
  3889  8.0.0550  cannot parse some etags format tags file
  3065  8.0.0551  the typeahead buffer is reallocated too often
  3094  8.0.0552  toupper and tolower don't work properly for Turkish
  2645  8.0.0553  toupper/tolower test fails on Mac
  2613  8.0.0554  toupper and tolower don't work properly for Turkish
  1690  8.0.0555  toupper/tolower test fails on OSX without Darwin
  1856  8.0.0556  getting window position fails if GUI and term possible
  3402  8.0.0557  GTK: using static gravities is not useful
  2178  8.0.0558  :ownsyntax is not tested
  2487  8.0.0559  setting ttytype to xxx does not always fail
  1628  8.0.0560  :windo allows for ! but it's not supported
  2560  8.0.0561  undefined behavior when using backslash after empty line
  3779  8.0.0562  not enough test coverage for syntax commands
  1390  8.0.0563  crash when getting the window position in tmux
  2093  8.0.0564  cannot detect Bazel BUILD files on some systems
  1650  8.0.0565  using freed memory in :caddbuf
  2658  8.0.0566  setting nocompatible for the tiny version moves the cursor
  2107  8.0.0567  call for requesting color and ambiwidth is too early
  2280  8.0.0568  1gd may hang
  2406  8.0.0569  bracketed paste is still enabled in a shell command
 38397  8.0.0570  can't run make with several jobs
  2778  8.0.0571  negative line number when using :z^ in an empty buffer
 18801  8.0.0572  building the command table requires Perl
  2883  8.0.0573  running parallel make after distclean fails
  9080  8.0.0574  get only one quickfix list after :caddbuf
  2613  8.0.0575  using freed memory when resetting 'indentexpr'
  7547  8.0.0576  can't build when configure choses "install-sh"
  1591  8.0.0577  warning for uninitialized variable
  2412  8.0.0578  :simalt on MS-Windows does not work properly
  1424  8.0.0579  duplicate test case for quickfix
  3715  8.0.0580  cannot set the valid flag with setqflist()
  6905  8.0.0581  moving folded text is sometimes not correct
  6454  8.0.0582  illegal memory access with z= command
  2578  8.0.0583  fold test hangs on MS-Windows
  1378  8.0.0584  memory leak when executing quickfix tests
  2227  8.0.0585  test_options fails when run in the GUI
  1956  8.0.0586  no test for mapping timing out
  5097  8.0.0587  configure check for return value of tgetent skipped
  2259  8.0.0588  job_stop() often assumes the channel will be closed
  2014  8.0.0589  (after 8.0.0578) :simalt still does not work
  7364  8.0.0590  cannot add a context to locations
 41017  8.0.0591  changes to eval functionality not documented
 10763  8.0.0592  if a job writes to a buffer screen is not updated
 11715  8.0.0593  duplication of code for adding a list or dict return value
  1450  8.0.0594  (after 8.0.0592) build failure when windows feature is missing
  1834  8.0.0595  (after 8.0.0590) Coverity warning for not checking return val
  6277  8.0.0596  crash when complete() called after complete_add()
  3062  8.0.0597  off-by-one error in size computation
  1452  8.0.0598  building with gcc 7.1 yields new warnings
  7317  8.0.0599  diff mode is insufficiently tested
  1583  8.0.0600  test_recover fails on some systems
  1951  8.0.0601  no test coverage for :spellrepall
  3323  8.0.0602  when gF fails to edit the file the cursor still moves
  1630  8.0.0603  gF test fails on MS-Windows
  1951  8.0.0604  gF test still fails on MS-Windows
  2682  8.0.0605  the quickfix cached buffer may become invalid
  4681  8.0.0606  cannot set the context for a specified quickfix list
  8236  8.0.0607  after :bwipe + :new bufref might still be valid
  9515  8.0.0608  cannot manipulate other than the current quickfix list
  1849  8.0.0609  some people still don't know how to quit
  2543  8.0.0610  the screen is redrawn when default 'background' is detected
  2653  8.0.0611  the screen is not redrawn after sending t_u7
  6776  8.0.0612  pack dirs are added to 'runtimepath' too late
  4995  8.0.0613  the conf filetype is used before ftdetect from packages
 12602  8.0.0614  float2nr() is not exactly right
  2059  8.0.0615  using % with :hardcopy wrongly escapes spaces
  3518  8.0.0616  not always setting 'background' correctly after :hi Normal
  1918  8.0.0617  (after 8.0.0615) hardcopy test hangs on MS-Windows
  3972  8.0.0618  NFA regex engine handles [0-z] incorrectly
  2790  8.0.0619  GUI gets stuck if timer uses feedkeys()
 15775  8.0.0620  checking for HAVE_GTK_MULTIHEAD is not needed
 11879  8.0.0621  :stag does not respect 'switchbuf'
  4097  8.0.0622  selecting quoted text fails with 'selection' "exclusive"
  3792  8.0.0623  error for invalid regexp is not very informative
  1718  8.0.0624  (after 8.0.0623) warning for unused variable in tiny build
  3242  8.0.0625  shellescape() always escapes a newline
  1703  8.0.0626  in the GUI the cursor may flicker
  8788  8.0.0627  "gn" selects only one character with 'nowrapscan'
  2862  8.0.0628  cursor disappears after silent mapping
  1813  8.0.0629  checking for ambigous width is not working
  8527  8.0.0630  it is not easy to work on lines without a match
  1946  8.0.0631  can't build with Perl 5.26
  2011  8.0.0632  the quotestar test is still a bit flaky
  2555  8.0.0633  the client-server test is still a bit flaky
  9164  8.0.0634  cannot easily get to the last quickfix list
 21598  8.0.0635  when 'ignorecase' is set script detection is inaccurate
  2588  8.0.0636  when reading the undo file fails may use uninitialized data
  2091  8.0.0637  crash when using some version of GTK 3
  8895  8.0.0638  cannot build with new MSVC version
  2641  8.0.0639  the cursor position is set when editing a new commit message
  1840  8.0.0640  mismatch between help and actual message
  9380  8.0.0641  cannot set a separate highlighting for the quickfix line
  4698  8.0.0642  writefile() continues after detecting an error
 36273  8.0.0643  when a pattern search is slow Vim becomes unusable
  1667  8.0.0644  the timeout for 'hlsearch' is not tested
  6062  8.0.0645  no error for illegal back reference in NFA engine
  6889  8.0.0646  the hlsearch test fails on fast systems
 17435  8.0.0647  syntax highlighting can cause a freeze
  1629  8.0.0648  possible use of NULL pointer
  3822  8.0.0649  when opening a help file the filetype is set several times
  2039  8.0.0650  for extra help files the filetype is set more than once
  1534  8.0.0651  build failure without the auto command feature
 10036  8.0.0652  unicode information is outdated
  2013  8.0.0653  the default highlight for QuickFixLine is not good
  5188  8.0.0654  no warning for text after :endfunction
  2677  8.0.0655  not easy to make sure a function does not exist
  2329  8.0.0656  cannot use ! after some user commands
 13104  8.0.0657  cannot get and set quickfix list items
 47863  8.0.0658  spell test is old style
  5884  8.0.0659  no test for conceal mode
  1676  8.0.0660  silent install on MS-Windows shows dialog
 10750  8.0.0661  recognizing urxvt mouse codes does not work well
  1828  8.0.0662  stray FIXME for fixed problem
  5971  8.0.0663  unexpected error message only when 'verbose' is set
  2373  8.0.0664  mouse does not work in tmux
  1517  8.0.0665  warning for uninitialized variable
  4110  8.0.0666  dead for loop
  5896  8.0.0667  memory access error when command follows :endfunc
  1689  8.0.0668  nsis installer script does not work
  2927  8.0.0669  CTRL-N at start of the buffer does not work correctly
  3607  8.0.0670  can't use input() in a timer callback
  1600  8.0.0671  hang when typing CTRL-C in confirm() in timer
  6001  8.0.0672  third item of synconcealed() changes too often
  1260  8.0.0673  build failure without conceal feature
  1751  8.0.0674  cannot build with eval but without timers
  2638  8.0.0675  'colorcolumn' has a higher priority than 'hlsearch'
  8830  8.0.0676  crash when closing quickfix window in autocmd
  4177  8.0.0677  setting 'filetype' may switch buffers
  3772  8.0.0678  closing a window does not trigger resizing
  2223  8.0.0679  using freed memory
 10068  8.0.0680  plugins in start packages are sourced twice
  2323  8.0.0681  unnamed register only contains the last deleted text
  2786  8.0.0682  no test for synIDtrans()
  4871  8.0.0683  visual bell flashes too quickly
 13990  8.0.0684  old style tests are not nice
 28918  8.0.0685  when conversion fails written file may be truncated
  1479  8.0.0686  extra redraw when using CTRL-L in second window
  6644  8.0.0687  minor issues related to quickfix
  4317  8.0.0688  cannot resize the window in a FileType autocommand
  2402  8.0.0689  ~ character not escaped when extending search pattern
  2150  8.0.0690  compiler warning on non-Unix system
  1267  8.0.0691  compiler warning without the linebreak feature
  2964  8.0.0692  CTRL-G with 'incsearch' and ? goes in the wrong direction
361923  8.0.0693  no terminal emulator support
  2396  8.0.0694  building in shadow directory does not work
  5003  8.0.0695  missing dependencies breaks parallel make
  1309  8.0.0696  .inc files missing in git
  9396  8.0.0697  recorded key sequences may become invalid
  4219  8.0.0698  crash on exit when using Python function in timer.
  1742  8.0.0699  checksum tests are not actually run
  2709  8.0.0700  segfault with QuitPre autocommand closes the window
  2900  8.0.0701  system test failing when using X11 forwarding
  5191  8.0.0702  an error in a timer can make Vim unusable
  3118  8.0.0703  illegal memory access with empty :doau command
  2145  8.0.0704  problems with autocommands when opening help
  3043  8.0.0705  crash when there is an error in a timer callback
  1611  8.0.0706  crash when cancelling the cmdline window in Ex mode
  1792  8.0.0707  freeing wrong memory with certain autocommands
 36722  8.0.0708  some tests are old style
  8257  8.0.0709  libvterm cannot use vsnprintf()
  3625  8.0.0710  a job that writes to a buffer clears completion
  2024  8.0.0711  cannot build without the wildmenu feature
  2931  8.0.0712  the terminal implementation is incomplete
  1869  8.0.0713  'termkey' option not fully implemented
  2966  8.0.0714  when a timer causes a command line redraw " goes missing
  5735  8.0.0715  writing to wrong buffer if channel output buffer was closed
 15907  8.0.0716  not easy to start Vim cleanly
  1883  8.0.0717  terminal feature precence unclear
 20877  8.0.0718  output of job in terminal is not displayed
  3357  8.0.0719  build failure without +terminal feature
  3069  8.0.0720  unfinished mapping not displayed when running timer
  6506  8.0.0721  :argedit can only have one argument
  1568  8.0.0722  screen is messed by timer up at inputlist() prompt
  3001  8.0.0723  arglist test fails if file name case is ignored
  4352  8.0.0724  the message for yanking doesn't indicate the register
  9961  8.0.0725  a terminal window does not handle keyboard input
  1859  8.0.0726  translations cleanup script is too conservative
  1723  8.0.0727  message about what register to yank into is not translated
  9162  8.0.0728  the terminal structure is never freed
 11121  8.0.0729  the help for the terminal configure option is wrong
 24213  8.0.0730  terminal feature only supports Unix-like systems
  4642  8.0.0731  cannot build the terminal feature on MS-Windows
  3542  8.0.0732  when updating a buffer modeless selection is lost
 24546  8.0.0733  can only add entries to one list in the quickfix stack
  2442  8.0.0734  the script to check translations can be improved
  3222  8.0.0735  no indication that the quickfix window/buffer changed
 19775  8.0.0736  OptionSet not triggered when entering diff mode
 11441  8.0.0737  crash when X11 selection is very big
  6898  8.0.0738  cannot use the mouse to resize a terminal window
  9238  8.0.0739  terminal resizing doesn't work well
  3417  8.0.0740  cannot resize a terminal window by the command
  1618  8.0.0741  cannot build with HPUX
 40677  8.0.0742  terminal feature does not work on MS-Windows
  2173  8.0.0743  the 'termsize' option can be set to an invalid value
 15890  8.0.0744  terminal window does not use a pty
  2476  8.0.0745  multi-byte characters in a terminal don't display well
  3285  8.0.0746  when :term fails the job is not properly cleaned up
  2538  8.0.0747  :terminal without an argument doesn't work
  8829  8.0.0748  running Vim in terminal window doesn't use the right colors
  1539  8.0.0749  some unicode digraphs are hard to remember
  8318  8.0.0750  OpenPTY missing in non-GUI build
  2988  8.0.0751  OpenPTY missing with some combination of features
  1682  8.0.0752  build fails on MS-Windows
  5881  8.0.0753  no size reports to a job running in a terminal
  7329  8.0.0754  terminal window does not support colors
 13498  8.0.0755  terminal window does not have colors in the GUI
  4736  8.0.0756  cannot build libvterm with MSVC
  1459  8.0.0757  libvterm MSVC Makefile not included in the distribution
  2574  8.0.0758  possible crash when using a terminal window
  4207  8.0.0759  MS-Windows: terminal does not adjust size
  3481  8.0.0760  terminal window colors wrong with 'termguicolors'
 21713  8.0.0761  options not set properly for a terminal buffer
  3101  8.0.0762  ml_get error with :psearch in buffer without a name
  7841  8.0.0763  libvterm can be improved
  5583  8.0.0764  'termkey' does not work yet
  2355  8.0.0765  build fails with tiny features
  1619  8.0.0766  option test fails with +terminal feature
  1751  8.0.0767  build failure with Athena and Motif
 11084  8.0.0768  terminal window status shows "[Scratch]"
 16219  8.0.0769  build problems with terminal on MS-Windows
  1946  8.0.0770  compiler warning for missing field initializer
  3692  8.0.0771  cursor in terminal window not always updated in GUI
  6875  8.0.0772  other stdbool.h dependencies in libvterm
 20141  8.0.0773  mixing 32 and 64 bit libvterm builds fails
  3642  8.0.0774  build failure without the multi-byte feature
  5129  8.0.0775  in a terminal the cursor is updated too often
  5759  8.0.0776  function prototypes missing without the quickfix feature
  6297  8.0.0777  compiler warnings with 64 bit compiler
  1886  8.0.0778  in a terminal the cursor may be hidden
  1704  8.0.0779  :term without an argument uses empty buffer name
  1957  8.0.0780  build failure on Travis
  3031  8.0.0781  MS-Windows: memory leak when using :terminal
  8575  8.0.0782  using freed memory in quickfix code
  1939  8.0.0783  job of terminal may be freed too early
  2430  8.0.0784  job of terminal may be garbage collected
  5892  8.0.0785  wildcards are not expanded for :terminal
  2711  8.0.0786  build failures on Travis
  7117  8.0.0787  cannot send CTRL-W command to terminal job
  2351  8.0.0788  MS-Windows: cannot build with terminal feature
  2403  8.0.0789  splitting terminal window has resizing problems
  2323  8.0.0790  MSVC compiler warning for strncpy in libvterm
 13198  8.0.0791  terminal colors depend on the system
  2200  8.0.0792  spell test leaves files behind
  1816  8.0.0793  using wrong terminal name for terminal window
  6587  8.0.0794  checking translations fails with multiple NL
  1604  8.0.0795  terminal feature does not build with older MSVC
  2883  8.0.0796  no coverage on Travis with clang
 22981  8.0.0797  finished job in terminal window is not handled
  7932  8.0.0798  no highlighting in a terminal window with a finished job
  1396  8.0.0799  missing semicolon
  3991  8.0.0800  terminal window scrollback contents is wrong
  1724  8.0.0801  terminal window title says "running" after job exits
  2027  8.0.0802  last line of terminal window has no color
 25373  8.0.0803  terminal window functions not yet implemented
  2482  8.0.0804  running tests fails when stdin is /dev/null
  2100  8.0.0805  GUI test fails with gnome2
  1674  8.0.0806  tests may try to create XfakeHOME twice
  8506  8.0.0807  terminal window can't handle mouse buttons
  1740  8.0.0808  cannot build with terminal feature and DEBUG defined
  2458  8.0.0809  MS-Windows: tests hang
  1563  8.0.0810  MS-Windows: tests still hang
  1991  8.0.0811  MS-Windows: test_expand_dllpath fails
  1506  8.0.0812  terminal window colors shift when 'number' is set
 26034  8.0.0813  cannot use a terminal window while the job is running
  1427  8.0.0814  file in Filelist does not exist
  2353  8.0.0815  terminal window not correctly updated
  2060  8.0.0816  crash when using invalid buffer number
  8591  8.0.0817  cannot get the terminal line at the cursor
  5904  8.0.0818  cannot get the cursor position of a terminal
  2241  8.0.0819  cursor not positioned in terminal window
  2945  8.0.0820  GUI: cursor in terminal window lags behind
  6303  8.0.0821  cannot get the title and status of a terminal window
  1466  8.0.0822  Test_with_partial_callback is a tiny bit flaky
  4125  8.0.0823  cannot paste text into a terminal window
  3438  8.0.0824  in Terminal mode the cursor and screen gets redrawn
  9619  8.0.0825  not easy to see that a window is a terminal window
  2001  8.0.0826  cannot use text objects in Terminal mode
  1970  8.0.0827  Coverity: could leak pty file descriptor
  1508  8.0.0828  Coverity: may dereference NULL pointer
  2943  8.0.0829  job running in terminal can't communicate with Vim
  3435  8.0.0830  translating messages is not ideal
 10657  8.0.0831  with 8 colors the bold attribute is not set properly
  8556  8.0.0832  terminal function arguments are not consistent
  1898  8.0.0833  terminal test fails
  2492  8.0.0834  can't build without the client-server feature
  1852  8.0.0835  translations check with msgfmt does not work
  6453  8.0.0836  can abandon a terminal buffer after making a change
  1983  8.0.0837  signs can be drawn on top of console messages
  7879  8.0.0838  buffer hangs around whem terminal window is closed
  5431  8.0.0839  cannot kill a job in a terminal with CTRL-C
  4809  8.0.0840  MS-Windows: fopen() and open() prototypes are wrong
  2307  8.0.0841  term_getline() may cause a crash
  2572  8.0.0842  using slave pty after closing it
  1963  8.0.0843  MS-Windows: compiler warning for signed/unsigned
  2530  8.0.0844  wrong function prototype because of missing static
  2659  8.0.0845  MS-Windows: missing semicolon in terminal code
 14366  8.0.0846  cannot get the name of the pty of a job
  4988  8.0.0847  :argadd without argument can't handle space in file name
 25686  8.0.0848  using multiple ch_log functions is clumsy
 14360  8.0.0849  crash when job exit callback wipes the terminal
  2600  8.0.0850  MS-Windows: error message while starting up may be broken
  2538  8.0.0851  'smartindent' is used even when 'indentexpr' is set
  2035  8.0.0852  MS-Windows: possible crash when giving a message on startup
  1817  8.0.0853  crash when running terminal with unknown command
 15926  8.0.0854  no redraw after terminal was closed
  3160  8.0.0855  MS-Windows: can't get tty name of terminal
  1485  8.0.0856  MS-Windows: terminal job doesn't take options
  1684  8.0.0857  terminal test fails on MS-Windows
 20118  8.0.0858  can exit while a terminal is still running a job
  1718  8.0.0859  NULL pointer access when term_free_vterm called twice
  7619  8.0.0860  side effects when channel appends to a buffer
 20776  8.0.0861  still many old style tests
  2191  8.0.0862  file size test fails on MS-Windows
  9303  8.0.0863  a remote command does not work in the terminal window
  7596  8.0.0864  cannot specify the name of a terminal
  1475  8.0.0865  cannot build with channel but without terminal feature
  1636  8.0.0866  Solaris also doesn't have MIN and MAX
  4623  8.0.0867  job and channel in a dict value not quoted
  3737  8.0.0868  cannot specify the terminal size on the command line
  5374  8.0.0869  job output is sometimes not displayed in a terminal
  2018  8.0.0870  mouse escape codes sent to terminal unintentionally
  1532  8.0.0871  status line for a terminal window always has "[+]".
  4019  8.0.0872  no mouse scroll with a terminal window
 12467  8.0.0873  in terminal cannot use CTRL-\ CTRL-N to start Visual mode
  1759  8.0.0874  can't build with terminal feature
  1503  8.0.0875  crash with weird command sequence
  2631  8.0.0876  backslashes and wildcards in backticks don't work
 16998  8.0.0877  using CTRL-\ CTRL-N in terminal is inconsistent
  5436  8.0.0878  no completion for :mapclear
  2061  8.0.0879  crash when shifting with huge number
 10190  8.0.0880  Travis uses an old Ubuntu version
  3549  8.0.0881  win32.mak no longer included in Windows SDK
 11657  8.0.0882  term_scrape() and term_getline() require two arguments
  2162  8.0.0883  invalid memory access with nonsensical script
  5036  8.0.0884  can't specify the wait time for term_wait()
 20045  8.0.0885  terminal window scrollback is stored inefficiently
  3030  8.0.0886  crash when using ":term ls"
  1461  8.0.0887  can create a logfile in the sandbox
  2809  8.0.0888  compiler warnings with 64 bit build
  1613  8.0.0889  gcc gives warnings for uninitialized variables
 19426  8.0.0890  still many old style tests
  1901  8.0.0891  uninitialized memory use with empty line in terminal
  3168  8.0.0892  when opening a terminal the pty size doesn't always match
  7133  8.0.0893  cannot get the scroll count of a terminal window
 35227  8.0.0894  there is no test for runtime filetype detection
  8997  8.0.0895  filetype test fails on MS-Windows
 17336  8.0.0896  cannot close a terminal window when the job ends
  1674  8.0.0897  wrong error message for invalid term_finish value
 16128  8.0.0898  can't use the alternate screen in a terminal window
  5899  8.0.0899  function name mch_stop_job() is confusing
  3940  8.0.0900  :tab options doesn't open a new tab page
  1483  8.0.0901  asan suppress file missing from distribution
 29768  8.0.0902  cannot specify directory or environment for a job
  1382  8.0.0903  early return from test function
  9784  8.0.0904  cannot set a location list from text
  4660  8.0.0905  MS-Windows: broken multi-byte characters in the console
  2518  8.0.0906  don't recognize Couchbase files
  1628  8.0.0907  with cp932 font names might be misinterpreted
 15834  8.0.0908  cannot set terminal size with options
  1749  8.0.0909  channel test fails
  9016  8.0.0910  cannot create a terminal in the current window
  4099  8.0.0911  terminal test takes too long
 13319  8.0.0912  cannot run a job in a hidden terminal
  3740  8.0.0913  MS-Windows: CTRL-C kills shell in terminal window
  6513  8.0.0914  highlight attributes are always combined
  1686  8.0.0915  wrong initialisation of global
  7600  8.0.0916  cannot specify properties of window for terminal open
  3559  8.0.0917  MS-Windows:CTRL-C handling in terminal window is wrong
 23026  8.0.0918  cannot get terminal window cursor shape or attributes
  1619  8.0.0919  cursor color isn't set on startup
  2112  8.0.0920  cursor wrong after switching altscreen in terminal
 10013  8.0.0921  terminal window cursor shape not supported in the GUI
 16130  8.0.0922  quickfix list always added after current one
  4452  8.0.0923  crash in GUI when terminal job exits
  3552  8.0.0924  terminal window not updated after using term_sendkeys()
  2470  8.0.0925  MS-Windows GUI: channel I/O not handled right away
  1774  8.0.0926  when job in terminal window ends topline is wrong
  1996  8.0.0927  if a terminal job sends a blank title "running" is not shown
 20753  8.0.0928  MS-Windows: passing arglist to job has escaping problems
  2095  8.0.0929  :term without argument does not work
  3456  8.0.0930  terminal buffers are stored in the viminfo file
  2471  8.0.0931  getwininfo() does not indicate a terminal window
 10832  8.0.0932  terminal may not use right characters for BS and Enter
  3178  8.0.0933  terminal test tries to start GUI when it's not possible
  1923  8.0.0934  (after 8.0.0932) change to struts.h missing in patch
  2852  8.0.0935  cannot recognize a terminal buffer in :ls output
  2403  8.0.0936  mode() returns wrong value for a terminal window
  9915  8.0.0937  user highlight groups not adjusted for terminal
  2477  8.0.0938  scrolling in terminal window is inefficient
  2256  8.0.0939  Test_terminal_env is flaky
  3442  8.0.0940  Test_terminal_scrape_multibyte is flaky
 30777  8.0.0941  existing color schemes don't like StatusLineTerm
  2748  8.0.0942  using freed memory with ":terminal"
  2443  8.0.0943  MS-Windows: Test_terminal_scrape_multibyte may fail
  2494  8.0.0944  test_profile is a little bit flaky
  1770  8.0.0945  64-bit compiler warnings
  2225  8.0.0946  using PATH_MAX does not work well on some systems
  1777  8.0.0947  entering terminal using C-O C-W C-W goes to Insert mode
  5586  8.0.0948  crash if timer closes window while dragging status line
  4714  8.0.0949  winpty.dll name is fixed
  2355  8.0.0950  MS-Windows: wrong #ifdef, compiler warnings
  1664  8.0.0951  another wrong #ifdef
  5666  8.0.0952  has('terminal') does not check existence of dll file 
  6227  8.0.0953  get "no write since last change" error in terminal window
  3102  8.0.0954  /proc/self/exe might be a relative path
  2971  8.0.0955  Test_existent_file() fails on some file systems
 27279  8.0.0956  scrolling in a terminal window has flicker
 12490  8.0.0957  a terminal job can deadlock when sending many keys
  1589  8.0.0958  terminal test fails on Windows when winpty dll is missing
  2242  8.0.0959  build failure on MS-Windows
  6434  8.0.0960  job in terminal does not get CTRL-C
  1995  8.0.0961  the script to build the installer does not include winpty
  4168  8.0.0962  crash with virtualedit and joining lines
  2377  8.0.0963  terminal test fails on MacOS
  2175  8.0.0964  channel write buffer does not work with poll()
 18019  8.0.0965  not restoring cursor shape after it was set in a terminal
  1275  8.0.0966  build failure without terminal feature
  2513  8.0.0967  using a terminal may cause the cursor to blink
  1971  8.0.0968  crash when switching terminal modes
  1638  8.0.0969  Coverity warning for unused return value
  1995  8.0.0970  passing invalid highlight id
  2412  8.0.0971  'winptydll' missing from :options
  2000  8.0.0972  compiler warnings for unused variables
 11781  8.0.0973  initial info about blinking cursor is wrong
  6797  8.0.0974  resetting a string option does not trigger OptionSet
  1608  8.0.0975  using freed memory when setting 'backspace'
 12695  8.0.0976  cannot send lines to a terminal job
  4971  8.0.0977  cannot send lines to a terminal job on MS-Windows
  1987  8.0.0978  writing to terminal job is not tested
  2435  8.0.0979  terminal noblock test fails on MS-Windows
  1916  8.0.0980  Coverity warning for failing to open /dev/null
  2609  8.0.0981  cursor in terminal window blinks by default
  6545  8.0.0982  cannot use a terminal when 'encoding' is non-utf8 multi-byte
  1901  8.0.0983  unnecessary check for NULL pointer
  4110  8.0.0984  terminal blinking cursor not correct in the GUI
  8534  8.0.0985  libvterm has its own idea of character width
  3731  8.0.0986  terminal feature always requires multi-byte feature
  2117  8.0.0987  terminal: second byte of double-byte char wrong
  2353  8.0.0988  warning from Covscan about using NULL pointer
  4920  8.0.0989  ActiveTcl dll name has changed in 8.6.6
  3128  8.0.0990  with DBCS 'encoding' wrong pasting register into terminal
  2206  8.0.0991  using wrong character conversion for DBCS
  1895  8.0.0992  terminal title is wrong when 'encoding' is DBCS
  1585  8.0.0993  sometimes an xterm sends an extra CTRL-X
  2085  8.0.0994  MS-Windows: cursor in terminal blinks undesirably
  1642  8.0.0995  terminal tests fail on Mac
  4110  8.0.0996  Mac: t_RS is echoed on the screne in Terminal.app
  2262  8.0.0997  libvterm and Terminal.app not regognized from termresponse
  2270  8.0.0998  strange error when using K while only spaces are selected
  8750  8.0.0999  indenting raw C++ strings is wrong
 18622  8.0.1000  cannot open a terminal without running a job in it
  1877  8.0.1001  setting 'encoding' makes 'printheader' invalid
  7770  8.0.1002  unnecessarily updating screen after timer callback
  1572  8.0.1003  64 bit compiler warning
  8206  8.0.1004  matchstrpos() without a match returns too many items
 14038  8.0.1005  terminal without job updates slowly in GUI
  8141  8.0.1006  quickfix list changes when parsing text with 'erroformat'
  3394  8.0.1007  no test for filetype detection for scripts
  5595  8.0.1008  slow updating of terminal window in Motif
 13356  8.0.1009  Xterm cursor blinking status may be inverted
  1560  8.0.1010  build failure without termresponse feature
  1046  8.0.1011  terminal test fails with Athena and Motif
  9299  8.0.1012  MS-Windows: problem with $HOME when it was set internally
  8510  8.0.1013  terminal window behaves different from a buffer with changes
  3748  8.0.1014  old compiler doesn't know uint32_t
  2928  8.0.1015  missing update to terminal test
  9700  8.0.1016  gnome terminal echoes t_RC
  6040  8.0.1017  test for MS-Windows $HOME always passes
  2411  8.0.1018  warnings from 64-bit compiler
  3028  8.0.1019  pasting in virtual edit happens in the wrong place
  5240  8.0.1020  when a timer calls getchar(1) input is overwritten
  1884  8.0.1021  older Gnome terminal still echoes t_RC
 20550  8.0.1022  test 80 is old style
 15164  8.0.1023  it is not easy to identify a quickfix list
  6477  8.0.1024  folds lost when session file has a buffer in two windows
  1267  8.0.1025  stray copy command in test
 24683  8.0.1026  GTK on-the-spot input has problems
  2224  8.0.1027  more terminals can't handle requesting cursor mode
  2078  8.0.1028  MS-Windows: viminfo uses $VIM/_viminfo if $HOME not set
  2908  8.0.1029  return value of getqflist() is inconsistent
  5036  8.0.1030  MS-Windows: wrong size computation in is_cygpty()
 13631  8.0.1031  "text" argument for getqflist() is confusing
  2642  8.0.1032  "make tags" doesn't work well on MS-Windows
  5942  8.0.1033  detecting background color does not work in screen
  7443  8.0.1034  sending buffer lines to terminal doesn't work on MS-Windows
  7265  8.0.1035  sending buffer lines to terminal doesn't work on MS-Windows
  8131  8.0.1036  ++eof argument for terminal only available on MS-Windows
  4603  8.0.1037  "icase" of 'diffopt' is not used for highlighting
 24538  8.0.1038  strike-through text not supported
 11428  8.0.1039  cannot change a line in not current buffer
 11340  8.0.1040  cannot use another error format in getqflist()
 13529  8.0.1041  bogus characters when indenting during visual-block append
  1756  8.0.1042  without the syntax feature highlighting doesn't work
  2434  8.0.1043  warning for uninitialized variable
  1471  8.0.1044  warning for uninitialized variable
  1450  8.0.1045  running tests may pollute shell history
  3781  8.0.1046  code duplication in diff mode
  1630  8.0.1047  buffer overflow in Ruby
  5953  8.0.1048  no test for what 8.0.1020 fixes
  2151  8.0.1049  shell on Mac can't handle long text
  4960  8.0.1050  terminal window feature not included by default
  3022  8.0.1051  cannot run terminal with spaces in argument
  7960  8.0.1052  term_start() does not allow in_io, out_io and err_io options
  4532  8.0.1053  setline() does not work on startup
  2709  8.0.1054  terminal test fails on MS-Windows
  2277  8.0.1055  bufline test hangs on MS-Windows
  1766  8.0.1056  cannot build with +diff but without +multi_byte
  1909  8.0.1057  terminal scrape test waits too long
  1530  8.0.1058  terminal redirection test is flaky
  2023  8.0.1059  older Gnome terminal returns smaller version number
  2274  8.0.1060  when imstyle is one, mapping <Left> breaks preediting
  2779  8.0.1061  Coverity: no check for NULL command
  2373  8.0.1062  Coverity warnings in libvterm
  3166  8.0.1063  Coverity warns for NULL check and array use
  1451  8.0.1064  Coverity warns for leaking resource
  1651  8.0.1065  not all macro examples are included
  1703  8.0.1066  some terminals can't handle requesting cursor mode
  5928  8.0.1067  try/catch in timer does not prevent it from being stopped
  1672  8.0.1068  vandyke SecureCRT terminal can't handle cursor mode request
  2223  8.0.1069  still get CTRL-X sometimes
  1400  8.0.1070  terminal test is flaky on Mac
  3113  8.0.1071  putty-color and cygwin-color are not recognized
 20670  8.0.1072  :highlight command causes a redraw even when nothing changed
  3275  8.0.1073  may get an endless loop if 'statusline' changes a highlight
 21263  8.0.1074  ":term NONE" does not work on MS-Windows
  3130  8.0.1075  MS-Windows: mouse does not work in terminal
  9837  8.0.1076  term_start() does not take callbacks
  5666  8.0.1077  no debugger making use of the terminal window
  2896  8.0.1078  using freed memory with ":hi Normal"
  2033  8.0.1079  memory leak when remote_foreground() fails
  1817  8.0.1080  memory leak for eof_chars terminal option and buffer name
  3637  8.0.1081  memory leak for the channel write queue
  3109  8.0.1082  tests fail when run under valgrind
  4505  8.0.1083  leaking memory in input part of channel
  6808  8.0.1084  GTK build has compiler warnings
 16300  8.0.1085  terminal debugger can't set breakpoints
  2347  8.0.1086  can't build with GTK 3
  4871  8.0.1087  Test_terminal_cwd is flaky
 21197  8.0.1088  occasional memory use after free
  3762  8.0.1089  cannot get range count in user command
  5785  8.0.1090  cannot get the text under the cursor like v:beval_text
  4753  8.0.1091  test for <cexpr> fails without +balloon_eval feature
  9741  8.0.1092  terminal debugger can't evaluate expressions
 10893  8.0.1093  various small quickfix issues
  2126  8.0.1094  using ssh from Terminal.app runs into xterm incompatibility
  1722  8.0.1095  terminal multibyte escrape test is flaky
  5675  8.0.1096  terminal window in Normal mode has wrong background
  8490  8.0.1097  background color wrong if job changes background color
  1857  8.0.1098  build failure if libvterm installed
  4677  8.0.1099  warnings for GDK calls
  5251  8.0.1100  stuck in redraw loop when 'lazyredraw' is set
  2636  8.0.1101  channel write fails if writing to log fails
  8452  8.0.1102  terminal window does not use Normal colors
  1493  8.0.1103  converting cterm color fails for grey ramp
 13111  8.0.1104  the qf_jump() function is too long
  4871  8.0.1105  match() and matchend() are not tested
  2305  8.0.1106  terminal colors wrong on an MS-Windows console
  6406  8.0.1107  terminal debugger jumps to non-existing file
 24281  8.0.1108  cannot specify mappings for the terminal window
  3375  8.0.1109  timer causes error on exit from Ex mode
  3571  8.0.1110  FORTIFY_SOURCE from Perl causes problems
  3305  8.0.1111  syntax error in configure when using Perl
  5263  8.0.1112  can't get size or current index from quickfix list
  2094  8.0.1113  can go to Insert mode from Terminal-Normal mode
  3565  8.0.1114  default for 'iminsert' is annoying
  2774  8.0.1115  crash when using foldtextresult() recursively
  2253  8.0.1116  terminal test fails on MS-Windows
  2203  8.0.1117  Test_terminal_no_cmd hangs on MS-Windows with GUI
260726  8.0.1118  FEAT_WINDOWS adds a lot of #ifdefs
  3860  8.0.1119  quitting a split terminal window kills the job
  4969  8.0.1120  :tm means :tmap instead of :tmenu
  1718  8.0.1121  can uncheck executables in MS-Windows installer
  1732  8.0.1122  vimtutor.bat doesn't work well with vim.bat
 51585  8.0.1123  cannot define a toolbar for a window
  2406  8.0.1124  use of MZSCHEME_VER is unclear
  3802  8.0.1125  wrong window height when splitting window with window toolbar
  2983  8.0.1126  endless resize when terminal showing in two buffers
  4670  8.0.1127  Test_peek_and_get_char fails on 32 bit system
  4063  8.0.1128  old xterm sends CTRL-X in response to t_RS
  1811  8.0.1129  window toolbar missing a part of the patch
 22681  8.0.1130  the qf_jump() function is still too long
  3309  8.0.1131  not easy to trigger an autocommand for new terminal window
  1659  8.0.1132  #if condition is not portable
 10373  8.0.1133  syntax timeout not used correctly
  1374  8.0.1134  superfluous call to syn_get_final_id()
 19402  8.0.1135  W_WINCOL() is always the same
 58323  8.0.1136  W_WIDTH() is always the same
  1522  8.0.1137  (after 8.0.1136) cannot build with Ruby
  3567  8.0.1138  click in window toolbar starts Visual mode
 12380  8.0.1139  using window toolbar changes state
 31234  8.0.1140  still old style tests
 11341  8.0.1141  MS-Windows build dependencies are incomplete
  1637  8.0.1142  window toolbar menu gets a tear-off item
  5078  8.0.1143  macros always expand to the same thing
  1823  8.0.1144  using wrong #ifdef for computing length
  1402  8.0.1145  warning when compiling with Perl
  5626  8.0.1146  redraw when highlight is set with same names
  2807  8.0.1147  fail to build with tiny features
  6184  8.0.1148  gN doesn't work on last match with 'wrapscan' off
  7330  8.0.1149  libvterm colors differ from xterm
  6189  8.0.1150  MS-Windows GUI: dialog font size is incorrect
  2494  8.0.1151  "vim -c startinsert!" doesn't append
  6487  8.0.1152  encoding of error message wrong in Cygwin terminal
  2997  8.0.1153  no tests for diff_hlID() and diff_filler()
  2716  8.0.1154  'indentkeys' does not work properly
  1651  8.0.1155  Ruby command triggers a warning
  5135  8.0.1156  trouble from removing one -W argument from Perl CFLAGS
  1957  8.0.1157  compiler warning on MS-Windows
 19930  8.0.1158  still old style tests
  1422  8.0.1159  typo in #ifdef
  4246  8.0.1160  getting tab-local variable fails after closing window
 15633  8.0.1161  popup menu drawing problem when resizing terminal
  2424  8.0.1162  shared script for tests cannot be included twice
  2326  8.0.1163  popup test is flaky
  5362  8.0.1164  changing StatusLine highlight does not always work
  2287  8.0.1165  popup test is still flaky
  1843  8.0.1166  :terminal doesn't work on Mac High Sierra
  3377  8.0.1167  Motif: typing in terminal window is slow
 18426  8.0.1168  wrong highlighting with combination of match and 'cursorline'
  6918  8.0.1169  highlignting one char too many with 'list' and 'cul'
  8572  8.0.1170  using termdebug results in 100% CPU time
  1960  8.0.1171  popup test is still a bit flaky
  2139  8.0.1172  when E734 is given option is still set
  2122  8.0.1173  terminal window is not redrawn after CTRL-L
  2549  8.0.1174  Mac Terminal.app has wrong color for white
  1604  8.0.1175  build failure without +termresponse
  3713  8.0.1176  job_start() does not handle quote and backslash correctly
  3037  8.0.1177  in a terminal window the popup menu is not cleared
 13382  8.0.1178  using old compiler on MS-Windows
  4730  8.0.1179  Test_popup_and_window_resize() does not always pass
  3172  8.0.1180  MS-Windows testclean target deletes the color script
  3492  8.0.1181  tests using Vim command fail on MS-Windows
  6434  8.0.1182  cannot see or change mzscheme dll name
 21325  8.0.1183  MS-Windows build instructions are outdated
  3027  8.0.1184  the :marks command is not tested
  3657  8.0.1185  Ruby library includes minor version number
 59388  8.0.1186  still quite a few old style tests
  2231  8.0.1187  building with lua fails for OSX on Travis
  2201  8.0.1188  autocmd test fails on MS-Windows
  2664  8.0.1189  E172 is not actually useful
  3139  8.0.1190  unusable after opening new window in BufWritePre event
 48977  8.0.1191  MS-Windows: missing 32 and 64 bit files in installer
  2725  8.0.1192  MS-Windows: terminal feature not enabled by default
  2290  8.0.1193  crash when wiping out a buffer after using getbufinfo()
 18327  8.0.1194  actual fg and bg colors of terminal are unknown
  3015  8.0.1195  can't build on MS-Windows
  1390  8.0.1196  crash when t_RF is not set
  3354  8.0.1197  MS-Windows build instructions are not up to date
  3745  8.0.1198  older compilers don't know uint8_t
  1736  8.0.1199  when 'clipboard' is "autoselectplus" star register is set
 13957  8.0.1200  tests switch the bell off twice
  3421  8.0.1201  "yL" is affected by 'scrolloff'
  2309  8.0.1202  :wall gives an errof for a terminal window
  5562  8.0.1203  terminal window mistreats composing characters 
  2955  8.0.1204  a QuitPre autocommand may get the wrong file name
  2475  8.0.1205  it is possible to unload a changed buffer
  7183  8.0.1206  no autocmd for entering or leaving the command line
  8162  8.0.1207  profiling skips the first and last script line
  5742  8.0.1208  'statusline' drops empty group with highlight change 
 23442  8.0.1209  still too many old style tests
  3564  8.0.1210  CTRL-G and CTRL-T are ignored with typeahead
  5464  8.0.1211  cannot reorder tab pages with drag & drop
  4263  8.0.1212  MS-Windows: tear-off menu does not work on 64 bit
  2684  8.0.1213  setting 'mzschemedll' has no effect
  2320  8.0.1214  accessing freed memory when EXITFREE is set
 15385  8.0.1215  newer gcc warns for implicit fallthrough
  1330  8.0.1216  tabline is not always updated for :file command
  3979  8.0.1217  can't use remote eval to inspect vars in debug mode
  5175  8.0.1218  writing to freed memory in autocmd
  2505  8.0.1219  terminal test is flaky
  2561  8.0.1220  skipping empty statusline groups is not correct
 48749  8.0.1221  still too many old style tests
  3624  8.0.1222  test functions interfere with each other
  4155  8.0.1223  crash when using autocomplete and tab pages
 10925  8.0.1224  still interference between test functions
  2413  8.0.1225  no check for spell region being zero
  3003  8.0.1226  edit and popup tests failing
  2112  8.0.1227  undefined left shift in readfile() 
  1941  8.0.1228  invalid memory access in GUI test
  1740  8.0.1229  condition in vim_str2nr() is always true
  2557  8.0.1230  CTRL-A in Visual mode uses character after selection
  2864  8.0.1231  expanding file name drops dash
 10847  8.0.1232  MS-Windows users are confused about default mapping
  1407  8.0.1233  typo in dos installer
  7047  8.0.1234  MS-Windows: composing chars are not shown properly
  4732  8.0.1235  cannot disable the terminal feature in a huge build
 98987  8.0.1236  Mac features are confusing
  4259  8.0.1237  ":set scroll&" often gives an error
 17328  8.0.1238  incremental search only shows one match
 14313  8.0.1239  cannot use a lambda for the skip argument to searchpair()
  8450  8.0.1240  MS-Windows: term_start() does not support environment
  1812  8.0.1241  popup test is flaky
  2983  8.0.1242  function argument with only dash is seen as number zero
  2386  8.0.1243  no test for what 8.0.1227 fixes
  2901  8.0.1244  search test does not work correctly on MS-Windows
  8703  8.0.1245  when WaitFor() has a wrong expression it just waits a second
  2066  8.0.1246  popup test has an arbitrary delay
  1868  8.0.1247  not easy to find Debian build info
  3096  8.0.1248  stray + in README file
  2701  8.0.1249  no error when WaitFor() gets an invalid wrong expression
  7444  8.0.1250  'hlsearch' highlighting not removed after incsearch
  1938  8.0.1251  invalid expressin passed to WaitFor()
  5796  8.0.1252  incomplete translations makefile for MinGW/Cygwin
 28392  8.0.1253  still too many old style tests
  5746  8.0.1254  undefined left shift in gethexchrs()
  2329  8.0.1255  duplicate badge README file
  4110  8.0.1256  typo in configure variable vim_cv_tgent
  1476  8.0.1257  no test for fix of undefined behavior
  2713  8.0.1258  'ttymouse' is set to "sgr" even though it's not supported
 10851  8.0.1259  search test can be flaky
 16530  8.0.1260  using global variables for WaitFor()
  4615  8.0.1261  program in terminal window gets NL instead of CR
  1419  8.0.1262  terminal redir test is flaky
  7167  8.0.1263  others can read the swap file if a user is careless
  4307  8.0.1264  terminal debugger gets stuck in small window
  1553  8.0.1265  swap test not skipped when there is one group
  4535  8.0.1266  Test_swap_directory was commented out
  3448  8.0.1267  Test_swap_group may leave file behind
 11037  8.0.1268  PC install instructions are incomplete
  5447  8.0.1269  effect of autocommands on marks is not tested
  3332  8.0.1270  mismatching file name with Filelist
 47353  8.0.1271  still too many old style tests
  1889  8.0.1272  warnings for unused variables in tiny build
  1228  8.0.1273  old test file remaining
  4009  8.0.1274  setbufline() fails when using folding
  1831  8.0.1275  CmdlineLeave autocmd prevents fold from opening
  2764  8.0.1276  key lost when window closed in exit callback
  6078  8.0.1277  terminal window CR-NL conversions may cause problems
  8002  8.0.1278  GUI window always resizes when adding scrollbar
 29546  8.0.1279  initializing menus can be slow
 49591  8.0.1280  Python None cannot be converted to a Vim type
 67887  8.0.1281  loading file type detection slows down startup
  2523  8.0.1282  script-local variable defined in the wrong script
  2002  8.0.1283  test 86 fails under ASAN
  4867  8.0.1284  loading file type detection slows down startup
 69503  8.0.1285  distributed autoload files may clash with user files
  1725  8.0.1286  occasional crash when using a channel
  3275  8.0.1287  temp file used for viminfo may have wrong permissions
  2356  8.0.1288  GUI: cannot drag the statusline of a terminal window
  3670  8.0.1289  mkview always includes the local directory
  5940  8.0.1290  seq_cur of undotree() wrong after undo
  2584  8.0.1291  C indent wrong when * immediately follows comment
  1806  8.0.1292  quick clicks in the WinBar start Visual mode
 22450  8.0.1293  setting a breakpoint in the terminal debugger sometimes fails
  1428  8.0.1294  GUI: get stuck when splitting a terminal window
 10008  8.0.1295  cannot automatically get a server name in a terminal
  1741  8.0.1296  checking the same condition twice
  1786  8.0.1297  +autoservername does not show enabled on MS-Windows
  1863  8.0.1298  missing test file
  5460  8.0.1299  bracketed paste does not work well in terminal window
 12151  8.0.1300  file permissions may end up wrong when writing
  1634  8.0.1301  generated license file for NSIS has a modeline
 39940  8.0.1302  still too many old style tests
  3171  8.0.1303  'ttymouse' is not set to "sgr" for Terminal.app and Iterm2
  4163  8.0.1304  CTRL-G/CTRL-T don't work with incsearch and empty pattern
  4684  8.0.1305  writefile() never calls fsync()
  2955  8.0.1306  ASAN error stack trace is not useful
  1592  8.0.1307  compiler warning for ignoring return value
  2137  8.0.1308  the "Reading from stdin" message may be undesired
 41138  8.0.1309  cannot use 'balloonexpr' in a terminal
  1498  8.0.1310  cproto generates errors because of missing type
  3248  8.0.1311  no test for strpart()
150207  8.0.1312  balloon_show() only works in terminal when compiled with GUI
 52453  8.0.1313  missing dependencies cause parallel make to fail
  3632  8.0.1314  build fails on Mac
  1460  8.0.1315  build still fails on Mac
  1284  8.0.1316  build still still fails on Mac
  1518  8.0.1317  accessing freed memory in term_wait()
 17426  8.0.1318  terminal balloon only shows one line
  3380  8.0.1319  can't build GUI on MS-Windows
  1390  8.0.1320  popup test fails on GUI-only build
  3125  8.0.1321  can't build huge version with Athena
  1446  8.0.1322  textformat test isn't run
  2657  8.0.1323  mouse events in a terminal window may cause endless loop
  2304  8.0.1324  some xterm sends different mouse move codes
  4279  8.0.1325  more tests are not run
  3109  8.0.1326  largefile test fails on CI, glob test on MS-Windows
  1339  8.0.1327  new proto file missing from distribution
  4489  8.0.1328  trouble when using ":term ++close" with autocmd
  2188  8.0.1329  when a flaky test fails it also often fails the second time
  8995  8.0.1330  MS-Windows: job in terminal can't get back to Vim
  2272  8.0.1331  possible crash when window can be zero lines high
  4355  8.0.1332  highlighting in quickfix window could be better
  4221  8.0.1333  some tests are run twice
  5170  8.0.1334  splitting a window with a WinBar damages window layout
  1824  8.0.1335  writefile() using fsync() may give an error.
 17090  8.0.1336  cannot use imactivatefunc() unless compiled with +xim
  1625  8.0.1337  typo in #ifdef
 27986  8.0.1338  USE_IM_CONTROL is confusing and incomplete
  1815  8.0.1339  no test for what 8.0.1335 fixes
  1665  8.0.1340  MS-Windows: cannot build GUI without IME
  2208  8.0.1341  'imactivatefunc' test fails on MS-Windows
  1498  8.0.1342  cannot build with Motif and multi-byte
 40769  8.0.1343  MS-Windows: does not show colored emojis
  6899  8.0.1344  using 'imactivatefunc' in the GUI does not work
 11827  8.0.1345  race condition between stat() and open() for viminfo
  2123  8.0.1346  crash when passing 50 char string to balloon_split()
  1525  8.0.1347  MS-Windows: build broken by misplaced curly
  4065  8.0.1348  make testclean deletes script file on MS-Windows
  4583  8.0.1349  options test fails when using Motif or GTK GUI
  2396  8.0.1350  cannot build with +eval and -multi_byte
  3610  8.0.1351  warning for unused variables building with MinGW
  4371  8.0.1352  dead URLs in the help go unnoticed
 10562  8.0.1353  QuickFixCmdPost is not used consistently
  1800  8.0.1354  Shift-Insert doesn't always work in MS-Windows console
  2359  8.0.1355  cursor keys don't work in MS-Windows console
  2804  8.0.1356  using simalt in a GUIEnter autocommand inserts characters
  1792  8.0.1357  startup test fails on OpenBSD
  2657  8.0.1358  undercurl is not used in the terminal
 13037  8.0.1359  libvterm ANSI colors can not always be recognized
  1871  8.0.1360  the Terminal highlighting doesn't work in a terminal
  4624  8.0.1361  some users don't want to diff with hidden buffers
  6804  8.0.1362  terminal window colors wrong when using Terminal highlighting
  2271  8.0.1363  recovering does not work when swap file ends in .stz
  4536  8.0.1364  there is no easy way to get the window position
  4346  8.0.1365  when one channel test fails others fail as well
  1947  8.0.1366  balloon shows when cursor is in WinBar
  2264  8.0.1367  terminal test hangs, executing abcde
  2107  8.0.1368  cannot drag status or separator of new terminal window
 30841  8.0.1369  MS-Windows: drawing underline slow, mFallbackDC not updated
  1400  8.0.1370  channel test for callback is flaky
  1975  8.0.1371  Shift-Insert doesn't always work in MS-Windows console
  3612  8.0.1372  profile log may be truncated halfway a character
  1961  8.0.1373  no error when settting 'renderoptions' before starting GUI
  2960  8.0.1374  CTRL-A does not work with an empty line
  8016  8.0.1375  window size wrong after maximizing with WinBar
  1356  8.0.1376  cursor in terminal not always updated
  5816  8.0.1377  cannot call a dict function in autoloaded dict
  3078  8.0.1378  autoload script sources itself when defining function
  2683  8.0.1379  configure check for selinux does not check for header file
  2485  8.0.1380  using "vim -r swapfile" the hit-enter prompt is misplaced.
  7361  8.0.1381  ch_readraw() waits for NL if channel mode is NL
  2864  8.0.1382  get "no write since last change" message if terminal is open
  3592  8.0.1383  local additions in help skips some files
 21365  8.0.1384  not enough quickfix help; confusing winid
 12829  8.0.1385  Python 3.5 is getting old
  3578  8.0.1386  cannot select modified buffers with getbufinfo()
 13514  8.0.1387  wordcount test is old style
  2352  8.0.1388  char not overwritten with ambiguous width char
 18411  8.0.1389  getqflist() items are missing if not set
 15188  8.0.1390  DirectX scrolling can be slow, vertical positioning is off
  2983  8.0.1391  encoding empty string to JSON sometimes gives "null"
  2972  8.0.1392  build fails with --with-features=huge --disable-channel
  2343  8.0.1393  too much highlighting with 'hlsearch' and 'incsearch' set
 14939  8.0.1394  cannot intercept a yank command
  7496  8.0.1395  it is not easy to see if a colorscheme is well written
  1759  8.0.1396  memory leak when CTRL-G in search command line fails
  2664  8.0.1397  pattern with \& following nothing gives an error
  3820  8.0.1398  :packadd does not load packages from the "start" directory
  2091  8.0.1399  warnings and errors when building tiny version
 12045  8.0.1400  color scheme check script shows up as color scheme
  1520  8.0.1401  cannot build with GTK but without XIM
